# User Audio Library

## Defines

#define | PSP_AUDIO_VOLUME_MAX 0x8000
| The maximum output volume.
#define | PSP_AUDIO_CHANNEL_MAX 8
| The maximum number of hardware channels.
#define | PSP_AUDIO_NEXT_CHANNEL (-1)
| Used to request the next available hardware channel.
#define | PSP_AUDIO_SAMPLE_MIN 64
| The minimum number of samples that can be allocated to a channel.
#define | PSP_AUDIO_SAMPLE_MAX 65472
| The maximum number of samples that can be allocated to a channel.
#define | PSP_AUDIO_SAMPLE_ALIGN(s) (((s) + 63) & ~63)
| Make the given sample count a multiple of 64.

## Enumerations

enum | PspAudioFormats { PSP_AUDIO_FORMAT_STEREO = 0, PSP_AUDIO_FORMAT_MONO = 0x10 }

## Functions

int | sceAudioChReserve (int channel, int samplecount, int format)
| Allocate and initialize a hardware output channel.
int | sceAudioChRelease (int channel)
| Release a hardware output channel.
int | sceAudioOutput (int channel, int vol, void *buf)
int | sceAudioOutputBlocking (int channel, int vol, void *buf)
| a
int | sceAudioOutputPanned (int channel, int leftvol, int rightvol, void *buffer)
| a
int | sceAudioOutputPannedBlocking (int channel, int leftvol, int rightvol, void *buffer)
| a
int | sceAudioGetChannelRestLen (int channel)
| a
int | sceAudioSetChannelDataLen (int channel, int samplecount)
| a
int | sceAudioChangeChannelConfig (int channel, int format)
| a
int | sceAudioChangeChannelVolume (int channel, int leftvol, int rightvol)
| a

## Define Documentation

#define PSP_AUDIO_CHANNEL_MAX 8

| The maximum number of hardware channels.

#define PSP_AUDIO_NEXT_CHANNEL (-1)

| Used to request the next available hardware channel.

#define PSP_AUDIO_SAMPLE_ALIGN | ( | s |  | ) | (((s) + 63) & ~63)

| Make the given sample count a multiple of 64.

#define PSP_AUDIO_SAMPLE_MAX 65472

| The maximum number of samples that can be allocated to a channel.

#define PSP_AUDIO_SAMPLE_MIN 64

| The minimum number of samples that can be allocated to a channel.

#define PSP_AUDIO_VOLUME_MAX 0x8000

| The maximum output volume.

## Enumeration Type Documentation

enum PspAudioFormats

Enumerator:

  PSP_AUDIO_FORMAT_STEREO | Channel is set to stereo output.
  PSP_AUDIO_FORMAT_MONO | Channel is set to mono output.

## Function Documentation

int sceAudioChangeChannelConfig | ( | int | channel,
|  | int | format
| ) |

| a

int sceAudioChangeChannelVolume | ( | int | channel,
|  | int | leftvol,
|  | int | rightvol
| ) |

| a

int sceAudioChRelease | ( | int | channel | ) |

Release a hardware output channel.

Parameters:

  | channel | - The channel to release.

Returns:
  0 on success, an error if less than 0.

int sceAudioChReserve | ( | int | channel,
|  | int | samplecount,
|  | int | format
| ) |

Allocate and initialize a hardware output channel.

Parameters:

  | channel | - Use a value between 0 - 7 to reserve a specific channel. Pass PSP_AUDIO_NEXT_CHANNEL to get the first available channel.
  | samplecount | - The number of samples that can be output on the channel per output call. It must be a value between PSP_AUDIO_SAMPLE_MIN and PSP_AUDIO_SAMPLE_MAX, and it must be aligned to 64 bytes (use the PSP_AUDIO_SAMPLE_ALIGN macro to align it).
  | format | - The output format to use for the channel. One of PspAudioFormats.

Returns:
  The channel number on success, an error code if less than 0.

int sceAudioGetChannelRestLen | ( | int | channel | ) |

| a

int sceAudioOutput | ( | int | channel,
|  | int | vol,
|  | void * | buf
| ) |

int sceAudioOutputBlocking | ( | int | channel,
|  | int | vol,
|  | void * | buf
| ) |

| a

int sceAudioOutputPanned | ( | int | channel,
|  | int | leftvol,
|  | int | rightvol,
|  | void * | buffer
| ) |

| a

int sceAudioOutputPannedBlocking | ( | int | channel,
|  | int | leftvol,
|  | int | rightvol,
|  | void * | buffer
| ) |

| a

int sceAudioSetChannelDataLen | ( | int | channel,
|  | int | samplecount
| ) |

| a